Brian Formento Brian Formento - 4 years ago 302
Python Question

Installing TensorFlow with Pip Python on Windows

Last month they released tensor-flow comparability with windows. Looking at the docs I've installed python 3.6 and run

pip install tensorflow-gpu


but it doesn't find it and therefore doesn't install it.

could not find a version that satisfies the requirements tensorflow-gpu(from versions)


Am I missing something basic? How can I fix or circumvent this?

Answer Source

A stable release of Python 3.6 for Windows became available on 12/23/2016, and we have not yet built TensorFlow packages for that version. (We will look into doing this after the holidays.) For now, your best options are:

  1. Downgrade to Python 3.5 (64-bit version), which the pre-built packages support.
  2. Try building TensorFlow from source.
Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download